' Copyright 2008 - 2009 Sven Strickroth <email@cs-ware.de>
'
' This file is part of OSMtracker.
'
' OSMtracker is free software: you can redistribute it and/or modify
' it under the terms of the GNU General Public License version 3 as
' published by the Free Software Foundation.
'
' OSMtracker is distributed in the hope that it will be useful,
' but WITHOUT ANY WARRANTY; without even the implied warranty of
' MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
' GNU General Public License for more details.
'
' You should have received a copy of the GNU General Public License
' along with OSMtracker. If not, see <http://www.gnu.org/licenses/>.

Option Explicit On
Option Strict On

Public Class frmSplashScreen
    Private logoImage As Bitmap = Nothing
    Private fnt As Font = Nothing
    Protected Overrides Sub OnPaint(ByVal pe As System.Windows.Forms.PaintEventArgs)
        If fnt Is Nothing Then
            fnt = New Font("Arial", getBestFontSize(getAppVersion(), "Arial", FontStyle.Regular, 160, 20), FontStyle.Regular)
        End If

        If logoImage Is Nothing Then
            logoImage = New Bitmap(GetResourceStream("osmtrackervga.png"))
            Me.Width = logoImage.Width
            Me.Height = logoImage.Height
        End If

        pe.Graphics.DrawImage(logoImage, 0, 0, logoImage.Width, logoImage.Height)
        Dim size As Size = pe.Graphics.MeasureString(getAppVersion(), fnt).ToSize

        pe.Graphics.DrawString(getAppVersion(), fnt, New SolidBrush(Color.Black), (Me.Width - size.Width + 6) >> 1, logoImage.Height - size.Height - 10)
    End Sub
End Class
