' Copyright 2007 Rubke <interrubke@gmail.com>
' Copyright 2008 - 2009 Sven Strickroth <email@cs-ware.de>
'
' This file is part of OSMtracker.
'
' OSMtracker is free software: you can redistribute it and/or modify
' it under the terms of the GNU General Public License version 3 as
' published by the Free Software Foundation.
'
' OSMtracker is distributed in the hope that it will be useful,
' but WITHOUT ANY WARRANTY; without even the implied warranty of
' MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
' GNU General Public License for more details.
'
' You should have received a copy of the GNU General Public License
' along with OSMtracker. If not, see <http://www.gnu.org/licenses/>.

Option Explicit On
Option Strict On

Public Class SettingsGPS
    Public CommName As String
    Public Baudrate As Integer


    Public Sub PopulatecomList(ByVal currentComPort As String, ByVal currentBaudRate As Integer)

        '        I use eVC Remote Registry Editor to look at
        'HKEY_LOCAL_MACHINE\Drivers\Active for sub keys and names.

        'Here is the partial list of AXIM Pocket PC 2002 device:

        'Serial: COM1()
        'IrDA:   COM4()
        'IrCOMM: COM3()
        'USB:    COM2()


        'Dim ports As String() = SerialPort.GetPortNames()
        'Array.Sort(ports, New CaseInsensitiveComparer)
        'For Each portname As String In ports
        '    cmbComPorts.Items.Add(portname)
        '    If portname = CurrentComPort Then cmbComPorts.SelectedIndex = cmbComPorts.Items.Count - 1
        'Next

        ' com ports
        Dim i As Long, portname As String
        cmbComPorts.Items.Clear()
        For i = 0 To 32
            portname = "COM" & i
            cmbComPorts.Items.Add(portname)
            If portname = currentComPort Then cmbComPorts.SelectedIndex = cmbComPorts.Items.Count - 1
        Next

        If IsWindowsMobile5OrHigher() Then
            For i = 1 To 9
                portname = "GPD" & i
                cmbComPorts.Items.Add(portname)
                If portname = currentComPort Then cmbComPorts.SelectedIndex = cmbComPorts.Items.Count - 1
            Next
        End If

        ' baudrate
        Dim item As String
        For Each item In cmbBaudrate.Items
            If item = CStr(currentBaudRate) Then cmbBaudrate.SelectedItem = item
        Next
    End Sub
    Private Sub drivermodell_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles drivermodell.SelectedIndexChanged
        Dim intermediate As Boolean = drivermodell.Text = "Intermediate"
        lblGPSport.Enabled = Not intermediate
        lblBaudrate.Enabled = Not intermediate
        cmbComPorts.Enabled = Not intermediate
        cmbBaudrate.Enabled = Not intermediate
    End Sub
    Private Sub btnOK_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnOK.Click
        CommName = cmbComPorts.Text
        Baudrate = CInt(cmbBaudrate.Text)
        Me.DialogResult = Windows.Forms.DialogResult.OK
        Me.Close()
    End Sub
End Class