' Copyright 2008 - 2009 Sven Strickroth <email@cs-ware.de>
'
' This file is part of OSMtracker.
'
' OSMtracker is free software: you can redistribute it and/or modify
' it under the terms of the GNU General Public License version 3 as
' published by the Free Software Foundation.
'
' OSMtracker is distributed in the hope that it will be useful,
' but WITHOUT ANY WARRANTY; without even the implied warranty of
' MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
' GNU General Public License for more details.
'
' You should have received a copy of the GNU General Public License
' along with OSMtracker. If not, see <http://www.gnu.org/licenses/>.

Option Explicit On
Option Strict On

Public Class frmButtonView
    Private Sub ButtonPanel1_KeyDown(ByVal sender As Object, ByVal e As System.Windows.Forms.KeyEventArgs) Handles ButtonPanel1.KeyDown
        If e.KeyCode >= Keys.D0 AndAlso e.KeyCode <= Keys.D9 Then
            e.Handled = True
            Dim button As Button = ButtonXML.Pages.Item(ButtonXML.CurrentPageID).Buttons.Item(e.KeyCode - 48)
            If button IsNot Nothing Then
                Form1.logic.HandleButtonAction(button)
            End If
        ElseIf e.KeyCode = Keys.Multiply Then
            e.Handled = True
            Dim button As Button = ButtonXML.Pages.Item(ButtonXML.CurrentPageID).Buttons.Item(10)
            If button IsNot Nothing Then
                Form1.logic.HandleButtonAction(button)
            End If
        ElseIf e.KeyCode = Keys.F9 Then ' equals #
            e.Handled = True
            Dim button As Button = ButtonXML.Pages.Item(ButtonXML.CurrentPageID).Buttons.Item(12)
            If button IsNot Nothing Then
                Form1.logic.HandleButtonAction(button)
            End If
        Else
            Dim keychar As Char
            If e.Shift = True Then
                keychar = Char.ToUpper(Chr(e.KeyCode))
            Else
                keychar = Char.ToLower(Chr(e.KeyCode))
            End If
            Dim keyaction As New KeyAction(keychar)
            If ButtonXML.KeyActions.Contains(keyaction) Then
                e.Handled = True
                keyaction = ButtonXML.KeyActions.Find(keyaction).Value
                Form1.logic.HandleButtonAction(keyaction.btn)
            End If
        End If
    End Sub
End Class