' Copyright 2009 Sven Strickroth <email@cs-ware.de>
'
' This file is part of OSMtracker.
'
' OSMtracker is free software: you can redistribute it and/or modify
' it under the terms of the GNU General Public License version 3 as
' published by the Free Software Foundation.
'
' OSMtracker is distributed in the hope that it will be useful,
' but WITHOUT ANY WARRANTY; without even the implied warranty of
' MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
' GNU General Public License for more details.
'
' You should have received a copy of the GNU General Public License
' along with OSMtracker. If not, see <http://www.gnu.org/licenses/>.

Option Explicit On
Option Strict On

''' <summary>
''' InputBox wrapper
''' </summary>
Public Class frmInputBox
    Private prompt As String
    Private title As String
    Private defaultResponse As String
    Private result As String = ""
    Public Sub New(ByVal prompt As String, Optional ByVal title As String = "OSMtracker", Optional ByVal defaultResponse As String = "")
        Me.prompt = prompt
        Me.title = title
        Me.defaultResponse = defaultResponse
    End Sub
    Public Function ShowDialog() As System.Windows.Forms.DialogResult
        result = InputBox(prompt, title, defaultResponse)
        If result.Length > 0 Then
            'OrElse MsgBox("You entered an empty string. Do you want to cancel the operation?", MsgBoxStyle.YesNo, "OSMtracker") = MsgBoxResult.Yes
            Return DialogResult.OK
        Else
            Return DialogResult.Cancel
        End If
    End Function
    Public Function GetResult() As String
        Return result.Trim
    End Function
End Class
